ActionVisitor File Reference
`#include <vector>`
`#include <osgAnimation/Export>`
`#include <osg/Referenced>`
`#include <osgAnimation/FrameAction>`

Go to the source code of this file.

## Classes

class | osgAnimation::ActionVisitor
class | osgAnimation::UpdateActionVisitor
class | osgAnimation::ClearActionVisitor

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_ACTIONVISITOR_H
#define | META_ActionVisitor(library, name)

## Macro Definition Documentation

## META_ActionVisitor

#define META_ActionVisitor | ( |  | library,
|  |  | name )

Value:
virtual const char* libraryName() const { return #library; }\
virtual const char* className() const { return #name; }

## OSGANIMATION_ACTIONVISITOR_H

#define OSGANIMATION_ACTIONVISITOR_H